#define NET_TX_CHR   0x5c    /* COLOR1 up-arrow */
#define NET_RX_CHR   0x5d    /* COLOR1 down-arrow */
#define NET_ERR_CHR  0xe1    /* COLOR3 exclamation mark */
#define NET_IDLE_CHR 0       /* null (renders as a space) */

#define J_CHR        0x4a    /* COLOR1 J */
#define P_CHR        0x50    /* COLOR1 P */
#define Q_CHR        0x51    /* COLOR1 Q */
#define M_CHR        0x4d    /* COLOR1 M */
#define N_CHR        0x4e    /* COLOR1 N */
#define CHAN_CHR     0x63    /* COLOR1 # */

void ind_act(char c);

void ind_net_rx(void);
void ind_net_tx(void);
void ind_net_down(void);
void ind_net_idle(void);

#define ind_act_pm() ind_act(M_CHR)
#define ind_act_notice() ind_act(N_CHR)
#define ind_act_chantext() ind_act(CHAN_CHR)
#define ind_act_join() ind_act(J_CHR)
#define ind_act_part() ind_act(P_CHR)
#define ind_act_quit() ind_act(Q_CHR)

void ind_check_timer(void);
